Arch Bewehrungsstab spiralförmig

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar Helical and the translation is 82% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Arch Rebar Helical.svg {{{Name/de}}}

Menüeintrag
Arch → Rebar tools
Arbeitsbereich
Arch, BIM
Standardtastenkürzel
None
In der Version eingeführt
0.17
Siehe auch
bügelförmiger Bewehrungsstab, Bewehrungsstab


Beschreibung

Das spiralförmiger Bewehrungsstab-Werkzeug erlaubt es dem Anwender, einen fortlaufenden spiralförmigen Bewehrungsstab in einem Struktur-Objekt zu erstellen.

Dieser Befehl ist Teil des Reinforcement-Addons, das mit dem Addon-Manager über das Menü Werkzeuge → Addon-Manager → Reinforcement installiert werden kann.

Arch Rebar Helical example.png

Ein fortlaufender spiralförmiger Bewehrungsstab in einer Struktur


Anwendung

  1. Wähle eine beliebige Fläche eines vorher erstellten Arch Structure.svg Struktur-Objekts.
  2. Wähle dann Arch Rebar Helical.svg Spiralförmiger Bewehrungsstab aus den Bewehrungsstab-Werkzeugen.
  3. Ein Aufgaben-Paneel wird auf der linken Seite des Bildschirm angezeigt wie im folgenden Bild dargestellt.
  4. Wähle die gewünschte Ausrichtung.
  5. Gib die Werte für vordere, rechte, linke und untere Fläche an, außerdem den Durchmesser des Bewehrungsstabes.
  6. Wähle den Verteilungsmodus, entweder amount (Menge) oder spacing (Abstand).
  7. Falls 'spacing' gewählt wurde, kann auch benutzerdefinierter Abstand gewählt werden.
  8. Wähle 'Pick selected face' zur Überprüfung oder ändere die Fläche zur Verteilung der Bewehrungsstäbe.
  9. Klicke OK oder Anwenden zur Erzeugung der Bewehrungsstäbe.
  10. Klicke Abbrechen zum Verlassen des Aufgaben-Paneels.

HelicalRebarDialog.png

Aufgaben-Ansicht für das Arch Bewehrungsstab spiralförmig-Werkzeug


Eigenschaften

  • Daten-EigenschaftSide Cover: Der Abstand zwischen dem Bewehrungsstab und der gekrümmten Fläche.
  • Daten-EigenschaftTop Cover: Der Abstand zwischen dem Bewehrungsstab und der oberen Fläche der Struktur.
  • Daten-EigenschaftBottom Cover: Der Abstand zwischen dem Bewehrungsstab und der unteren Fläche der Struktur.
  • Daten-EigenschaftPitch: Die Höhe einer vollständigen Helixumdrehung, gemessen parallel zu den Achsen der Helix.
  • Daten-EigenschaftDiameter: Durchmesser des Bewehrungsstabs.

Scripting

Siehe auch: Arch API,Reinforcement-API und FreeCAD Scripting Basics.

Das Spiralförmiger Bewehrungsstab-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • s_cover, b_cover, and t_cover are inner offset distances for the rebar with respect to the faces of the structure. They are respectively the side, bottom, and top offsets.
  • diameter is the diameter of the reinforcement spiral inside the structure.
  • pitch is the parameter that determines how close or far apart each spiral loop is to each other.

Beispiel

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Anpassung des Bewehrungsstabs

Die Eigenschaften des Bewehrungsstabs lassen sich mit der folgenden Funktion verändern

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar ist ein vorher erzeugtes HelicalRebar-Objekt.
  • Die anderen Parameter sind die gleichen wie die für die makeHelicalRebar()-Funktion erforderlichen.
  • structure und facename können weggelassen werden, so dass die Bewehrung in der ursprünglichen Struktur bleibt.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)